Bug 38733 - [Qt] [Symbian] QWebPage auto test pass rate != 100%
Summary: [Qt] [Symbian] QWebPage auto test pass rate != 100%
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 420+
Hardware: S60 Emulator S60 3rd edition
: P2 Major
Assignee: Nobody
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks: 38654
  Show dependency treegraph
 
Reported: 2010-05-07 03:23 PDT by Samuel Nevala
Modified: 2012-01-14 17:17 PST (History)
5 users (show)

See Also:


Attachments
Test Log (7.81 KB, text/plain)
2010-05-07 03:23 PDT, Samuel Nevala
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Nevala 2010-05-07 03:23:48 PDT
Created attachment 55356 [details]
Test Log

Qt: http://qt.gitorious.org/+qt-s60-developers/qt/qt-s60
branch: 4.7
sha: b1225b83282bdeaf7c3847a8f2b3d05e004ce198

Used qt contains webkit from:
webkit: git://gitorious.org/qtwebkit/qtwebkit.git
sha:3f0f51f4c87e65bfe04165c6af4c00934b0ca1e2

compile & run tst_qwebpage.exe on emulator
See attachment.
Comment 1 Jesus Sanchez-Palencia 2010-05-12 07:23:05 PDT
We have a meta-bug for auto-tests failures. Adding this one as a blocker as well.
Comment 2 Laszlo Gombos 2011-03-01 13:05:10 PST
We should test it an an actual device instead of the emulator.
Comment 3 Janne Koskinen 2011-03-03 05:34:09 PST
Ran QWebpage tests on N8 with Qt 4.7.2 and QtWebkit 2.1 .
I got several crashes but the test run manage to complete. here's the result:

********* Start testing of tst_QWebPage *********
Config: Using QTest library 4.7.2, Qt 4.7.2
PASS   : tst_QWebPage::initTestCase()
PASS   : tst_QWebPage::acceptNavigationRequest()
SKIP   : tst_QWebPage::geolocationRequestJS() Test disabled as long as geolocati
on is disabled from the build.
   Loc: [X:\qtwebkit\WebKit\qt\tests\qwebpage\tst_qwebpage.cpp(255)]
PASS   : tst_QWebPage::geolocationRequestJS()
PASS   : tst_QWebPage::loadFinished()
PASS   : tst_QWebPage::acceptNavigationRequestWithNewWindow()
FAIL!  : tst_QWebPage::userStyleSheet() '::waitForSignal(m_view, SIGNAL(loadFini
shed(bool)))' returned FALSE. ()
   Loc: [X:\qtwebkit\WebKit\qt\tests\qwebpage\tst_qwebpage.cpp(411)]
PASS   : tst_QWebPage::modified()
PASS   : tst_QWebPage::contextMenuCrash()
PASS   : tst_QWebPage::database()
PASS   : tst_QWebPage::createPluginWithPluginsEnabled()
PASS   : tst_QWebPage::createPluginWithPluginsDisabled()
PASS   : tst_QWebPage::destroyPlugin()
PASS   : tst_QWebPage::createViewlessPlugin()
PASS   : tst_QWebPage::graphicsWidgetPlugin()
PASS   : tst_QWebPage::multiplePageGroupsAndLocalStorage()
PASS   : tst_QWebPage::cursorMovements()
PASS   : tst_QWebPage::textSelection()
PASS   : tst_QWebPage::textEditing()
FAIL!  : tst_QWebPage::backActionUpdate() Compared values are not the same
   Actual (loadSpy.count()): 1
   Expected (2): 2
   Loc: [X:\qtwebkit\WebKit\qt\tests\qwebpage\tst_qwebpage.cpp(1392)]
PASS   : tst_QWebPage::frameAt()
PASS   : tst_QWebPage::requestCache()
PASS   : tst_QWebPage::loadCachedPage()
PASS   : tst_QWebPage::protectBindingsRuntimeObjectsFromCollector()
PASS   : tst_QWebPage::localURLSchemes()
XFAIL  : tst_QWebPage::testOptionalJSObjects() Feature enabled/disabled checking
 problem. Look at bugs.webkit.org/show_bug.cgi?id=29867
   Loc: [X:\qtwebkit\WebKit\qt\tests\qwebpage\tst_qwebpage.cpp(1884)]
XFAIL  : tst_QWebPage::testOptionalJSObjects() Feature enabled/disabled checking
 problem. Look at bugs.webkit.org/show_bug.cgi?id=29867
   Loc: [X:\qtwebkit\WebKit\qt\tests\qwebpage\tst_qwebpage.cpp(1887)]
PASS   : tst_QWebPage::testOptionalJSObjects()
PASS   : tst_QWebPage::testEnablePersistentStorage()
PASS   : tst_QWebPage::consoleOutput()
PASS   : tst_QWebPage::inputMethods()
PASS   : tst_QWebPage::inputMethodsTextFormat()
PASS   : tst_QWebPage::defaultTextEncoding()
FAIL!  : tst_QWebPage::errorPageExtension() Compared values are not the same
   Actual (spyLoadFinished.count()): 1
   Expected (2): 2
   Loc: [X:\qtwebkit\WebKit\qt\tests\qwebpage\tst_qwebpage.cpp(1976)]
FAIL!  : tst_QWebPage::errorPageExtensionInIFrames() Compared values are not the
 same
   Actual (spyLoadFinished.count()): 0
   Expected (1): 1
   Loc: [X:\qtwebkit\WebKit\qt\tests\qwebpage\tst_qwebpage.cpp(2010)]
PASS   : tst_QWebPage::errorPageExtensionInFrameset()
PASS   : tst_QWebPage::userAgentApplicationName()
PASS   : tst_QWebPage::userAgentLocaleChange()
PASS   : tst_QWebPage::viewModes()
PASS   : tst_QWebPage::crashTests_LazyInitializationOfMainFrame()
PASS   : tst_QWebPage::screenshot()
PASS   : tst_QWebPage::originatingObjectInNetworkRequests()
PASS   : tst_QWebPage::testJSPrompt()
PASS   : tst_QWebPage::showModalDialog()
PASS   : tst_QWebPage::testStopScheduledPageRefresh()
PASS   : tst_QWebPage::findText()
PASS   : tst_QWebPage::infiniteLoopJS()
PASS   : tst_QWebPage::cleanupTestCase()
Totals: 41 passed, 4 failed, 1 skipped
********* Finished testing of tst_QWebPage *********
Comment 4 Laszlo Gombos 2011-05-31 19:11:11 PDT
Update from the buildbot running tests on N8 on May-31 (WebKit trunk r87764):

********* Start testing of tst_QWebPage *********
Config: Using QTest library 4.7.3, Qt 4.7.3
PASS   : tst_QWebPage::initTestCase()
QDEBUG : tst_QWebPage::contextMenuCopy() loaded the Generic plugin 
QDEBUG : tst_QWebPage::contextMenuCopy() Loaded the symbian sensor plugins 
PASS   : tst_QWebPage::contextMenuCopy()
PASS   : tst_QWebPage::acceptNavigationRequest()
PASS   : tst_QWebPage::geolocationRequestJS()
PASS   : tst_QWebPage::loadFinished()
PASS   : tst_QWebPage::acceptNavigationRequestWithNewWindow()
QDEBUG : tst_QWebPage::userStyleSheet() going to call setdefaultif( "Kimono" ) 
QDEBUG : tst_QWebPage::userStyleSheet() going to call setdefaultif( "Kimono" ) 
QDEBUG : tst_QWebPage::userStyleSheet() going to call setdefaultif( "Kimono" ) 
QDEBUG : tst_QWebPage::userStyleSheet() going to call setdefaultif( "Kimono" ) 
QDEBUG : tst_QWebPage::userStyleSheet() QNetworkReplyImpl::_q_startOperation was called more than once
FAIL!  : tst_QWebPage::userStyleSheet() '::waitForSignal(m_view, SIGNAL(loadFinished(bool)))' returned FALSE. ()
   Loc: [D:/w/qt-symbian-release/build/Source/WebKit/qt/tests/qwebpage/tst_qwebpage.cpp(445)]
QDEBUG : tst_QWebPage::userStyleSheet() going to call setdefaultif( "" ) 
PASS   : tst_QWebPage::loadHtml5Video()
PASS   : tst_QWebPage::modified()
PASS   : tst_QWebPage::contextMenuCrash()
PASS   : tst_QWebPage::updatePositionDependentActionsCrash()
PASS   : tst_QWebPage::database()
PASS   : tst_QWebPage::createPluginWithPluginsEnabled()
PASS   : tst_QWebPage::createPluginWithPluginsDisabled()
PASS   : tst_QWebPage::destroyPlugin()
PASS   : tst_QWebPage::createViewlessPlugin()
PASS   : tst_QWebPage::graphicsWidgetPlugin()
PASS   : tst_QWebPage::multiplePageGroupsAndLocalStorage()
PASS   : tst_QWebPage::cursorMovements()
PASS   : tst_QWebPage::textSelection()
PASS   : tst_QWebPage::textEditing()
PASS   : tst_QWebPage::backActionUpdate()
PASS   : tst_QWebPage::frameAt()
PASS   : tst_QWebPage::requestCache()
PASS   : tst_QWebPage::loadCachedPage()
PASS   : tst_QWebPage::protectBindingsRuntimeObjectsFromCollector()
PASS   : tst_QWebPage::localURLSchemes()
XFAIL  : tst_QWebPage::testOptionalJSObjects() Feature enabled/disabled checking problem. Look at bugs.webkit.org/show_bug.cgi?id=29867
   Loc: [D:/w/qt-symbian-release/build/Source/WebKit/qt/tests/qwebpage/tst_qwebpage.cpp(2335)]
XFAIL  : tst_QWebPage::testOptionalJSObjects() Feature enabled/disabled checking problem. Look at bugs.webkit.org/show_bug.cgi?id=29867
   Loc: [D:/w/qt-symbian-release/build/Source/WebKit/qt/tests/qwebpage/tst_qwebpage.cpp(2338)]
XFAIL  : tst_QWebPage::testOptionalJSObjects() https://bugs.webkit.org/show_bug.cgi?id=61045
   Loc: [D:/w/qt-symbian-release/build/Source/WebKit/qt/tests/qwebpage/tst_qwebpage.cpp(2343)]
XFAIL  : tst_QWebPage::testOptionalJSObjects() https://bugs.webkit.org/show_bug.cgi?id=61045
   Loc: [D:/w/qt-symbian-release/build/Source/WebKit/qt/tests/qwebpage/tst_qwebpage.cpp(2346)]
PASS   : tst_QWebPage::testOptionalJSObjects()
PASS   : tst_QWebPage::testEnablePersistentStorage()
PASS   : tst_QWebPage::consoleOutput()
PASS   : tst_QWebPage::inputMethods()
PASS   : tst_QWebPage::inputMethodsTextFormat()
PASS   : tst_QWebPage::defaultTextEncoding()
QDEBUG : tst_QWebPage::errorPageExtension() going to call setdefaultif( "Kimono" ) 
QDEBUG : tst_QWebPage::errorPageExtension() going to call setdefaultif( "Kimono" ) 
QDEBUG : tst_QWebPage::errorPageExtension() going to call setdefaultif( "Kimono" ) 
QDEBUG : tst_QWebPage::errorPageExtension() going to call setdefaultif( "Kimono" ) 
QDEBUG : tst_QWebPage::errorPageExtension() QNetworkReplyImpl::_q_startOperation was called more than once
FAIL!  : tst_QWebPage::errorPageExtension() Compared values are not the same
   Actual (spyLoadFinished.count()): 1
   Expected (2): 2
   Loc: [D:/w/qt-symbian-release/build/Source/WebKit/qt/tests/qwebpage/tst_qwebpage.cpp(2429)]
FAIL!  : tst_QWebPage::errorPageExtensionInIFrames() Compared values are not the same
   Actual (page->mainFrame()->childFrames()[1]->toPlainText()): 
As a courtesy, your ISP provided this page because "non.existent" does not exist or is unavailable.
Did you mean: no nexis tent
		

Popular Related Queries on Ask.com
Free Lexis Nexis
Lexis Nexis Articles
Lexis Nexis Search
Free Lexis Nexis Person Finder
What Constitutes Nexus?
Nexus
Top Ten Search Engines
Spectrum Nexus
Nexus Card
Accurint
Google Nexus
Nexus Labs
ISP Trademark Policy
   Expected (QString("error")): error
   Loc: [D:/w/qt-symbian-release/build/Source/WebKit/qt/tests/qwebpage/tst_qwebpage.cpp(2465)]
PASS   : tst_QWebPage::errorPageExtensionInFrameset()
PASS   : tst_QWebPage::userAgentApplicationName()
PASS   : tst_QWebPage::viewModes()
PASS   : tst_QWebPage::crashTests_LazyInitializationOfMainFrame()
PASS   : tst_QWebPage::screenshot()
PASS   : tst_QWebPage::originatingObjectInNetworkRequests()
PASS   : tst_QWebPage::testJSPrompt()
PASS   : tst_QWebPage::showModalDialog()
PASS   : tst_QWebPage::testStopScheduledPageRefresh()
PASS   : tst_QWebPage::findText()
PASS   : tst_QWebPage::supportedContentType()
PASS   : tst_QWebPage::infiniteLoopJS()
PASS   : tst_QWebPage::navigatorCookieEnabled()
PASS   : tst_QWebPage::deleteQWebViewTwice()
PASS   : tst_QWebPage::renderOnRepaintRequestedShouldNotRecurse()
PASS   : tst_QWebPage::cleanupTestCase()
Totals: 48 passed, 3 failed, 0 skipped
********* Finished testing of tst_QWebPage *********
Comment 5 Joel Parks 2011-06-17 08:19:34 PDT
ref PMO Bz 232477, 232473, still failing
Comment 6 Jesus Sanchez-Palencia 2011-11-11 21:13:36 PST
Laszlo, does it make sense to keep bugs like this one open?
Comment 7 Laszlo Gombos 2012-01-14 17:17:15 PST
Closed as WONTFIX - see https://lists.webkit.org/pipermail/webkit-qt/2011-October/001979.html